Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Oct 2019 22:52:35 +0300

>> The main task is to get background colors back to extend to the
>> window edge.
>
> If that's the main task, then the easiest way is just to revert all
> the changes that introduced that feature.

This is a useful feature, but for backward-compatibility perhaps
it should be optional, i.e. the meaning of ':extend t' could be
reversed, then we could find and fix all default faces where
this new feature is needed.

> (It's a pity that the long discussion of this before the development
> started went without any such objections from the people who are
> regulars on emacs-devel.)

I had no objections because I thought that the discussed feature is opt-in,
i.e. I thought that optional ':extend t' means extend to EOL.